> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /opensanctions/datasets

> Get an OpenSanctions (opensanctions.org) dataset by name

**Price:** 5 credits

**⚠️ Common errors:** 412: Dataset not found



## OpenAPI

````yaml /openapi/compliance-sanctions.json post /api/opensanctions/datasets
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/opensanctions/datasets:
    post:
      tags:
        - /opensanctions
      summary: /opensanctions/datasets
      description: |-
        Get an OpenSanctions (opensanctions.org) dataset by name

        **Price:** 5 credits

        **⚠️ Common errors:** 412: Dataset not found
      operationId: __api_opensanctions_datasets_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpensanctionsDatasetsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OpensanctionsCatalogDataset'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OpensanctionsDatasetsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        dataset:
          type: string
          minLength: 1
      type: object
      required:
        - dataset
    OpensanctionsCatalogDataset:
      properties:
        '@type':
          type: string
          default: OpensanctionsCatalogDataset
        name:
          type: string
        summary:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        version:
          anyOf:
            - type: string
            - type: 'null'
        entity_count:
          anyOf:
            - type: integer
            - type: 'null'
        thing_count:
          anyOf:
            - type: integer
            - type: 'null'
        target_count:
          anyOf:
            - type: integer
            - type: 'null'
        tags:
          items:
            type: string
          type: array
          default: []
        publisher:
          anyOf:
            - $ref: '#/components/schemas/OpensanctionsDatasetPublisher'
            - type: 'null'
        resources:
          items:
            $ref: '#/components/schemas/OpensanctionsDatasetResource'
          type: array
          default: []
      type: object
      required:
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OpensanctionsDatasetPublisher:
      properties:
        '@type':
          type: string
          default: OpensanctionsDatasetPublisher
        name:
          type: string
        acronym:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        is_official:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - name
    OpensanctionsDatasetResource:
      properties:
        '@type':
          type: string
          default: OpensanctionsDatasetResource
        name:
          type: string
        url:
          type: string
        type:
          anyOf:
            - type: string
            - type: 'null'
        size:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - name
        - url
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````